Subject: Re: xmobar dynamic spacing
From: Eyal Erez <[email-masked]>
To: Xmonad Mailing List <[email-masked]>
Date: Fri, 24 Mar 2023 17:06:41 +0300

Any advice would be greatly appreciated. Also, are there any recommended
alternatives to xmobar?

On Mon, Mar 13, 2023 at 7:40 PM Eyal Erez <[email-masked]> wrote:

> Hi,
>
> I hope that this is the right place to ask. If not, please let me know.
>
> I use xmonad with xmobar and trayer. Trayer is set in the upper right
> corner, and xmobar fills the remainder of the top of the screen. I have
> several right-aligned widgets, including date/time, CPU, memory, network,
> etc., and two left-aligned widgets, which are the active workspace name and
> the name of the active window. Currently, I set the name of the active
> window to "shorten 200" in my xmonad.hs file. However, I use several
> monitors with varying screen sizes, so it is challenging to set an
> absolute value. When the screen is narrow, and the window title is long, it
> pushes some widgets out of the right side of xmobar. I would like the
> window title to take up as much space as possible but leave the other
> right-aligned widgets where they are. Is there any way to do that?
>
> Short window title
>
> Long window title
>
> --
> There are 10 types of people, those who know binary and those who don't.
>
>

-- 
*Eyal Erez <[email-masked]* <[email-masked]>*>*

There are 10 types of people, those who know binary and those who don't.